Get order by pubkey
curl --request GET \
--url https://api.worm.wtf/orders/{pubkey}/import requests
url = "https://api.worm.wtf/orders/{pubkey}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.worm.wtf/orders/{pubkey}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pubkey": "5uA9kQ1dM8rT4yW2nB7cF3pL6zX0vH5sJ2eR9tQ4mNp",
"status": "open",
"side": "buy",
"price": "0.68",
"amount": "120.000000",
"remaining_amount": "120.000000",
"filled_amount": "0.000000",
"funds": null,
"remaining_funds": null,
"filled_funds": null,
"market": {
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?"
},
"outcome": {
"is_yes": true,
"text": "New York Knicks"
}
},
"meta": {},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -12,
"slug": "authentication_failed",
"message": "Invalid signature",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -14,
"slug": "permission_denied",
"message": "You do not have permission to perform this action.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -15,
"slug": "not_found",
"message": "Not found.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}
Orders
Get order by pubkey
Retrieve a specific draft or submitted order by its public key.
GET
/
orders
/
{pubkey}
/
Get order by pubkey
Path Parameters
string
required
The public key of the order to retrieve.
Response
object
Single order row.
Show Data fields
Show Data fields
string | null
Order public key.
string | null
Lowercase order status name:
open, partially_filled, filled, canceled, partially_filled_canceled, waiting_to_sign, expired, or failed.string
buy or sell (lowercase).string | null
Order price.
string | null
Order amount.
string | null
Remaining order size (non-market orders).
string | null
Filled size so far (non-market orders).
string | null
Total funds (market orders).
string | null
Remaining funds (market orders).
string | null
Filled funds (market orders).
object
Market reference.
object
Outcome reference.
object
Empty object on success for this endpoint.
object | null
null on success. Error object on failed requests.{
"data": {
"pubkey": "5uA9kQ1dM8rT4yW2nB7cF3pL6zX0vH5sJ2eR9tQ4mNp",
"status": "open",
"side": "buy",
"price": "0.68",
"amount": "120.000000",
"remaining_amount": "120.000000",
"filled_amount": "0.000000",
"funds": null,
"remaining_funds": null,
"filled_funds": null,
"market": {
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?"
},
"outcome": {
"is_yes": true,
"text": "New York Knicks"
}
},
"meta": {},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -12,
"slug": "authentication_failed",
"message": "Invalid signature",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -14,
"slug": "permission_denied",
"message": "You do not have permission to perform this action.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -15,
"slug": "not_found",
"message": "Not found.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}